"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const metaKey = Symbol('stix:swagger:meta');
exports.meta = (metaKey, secure) => {
    return (target, property) => {
        const meta = Reflect.getMetadata(metaKey, target) || {};
        meta[property] = secure;
        Reflect.defineMetadata(metaKey, meta, target);
    };
};
exports.getSecurity = (target) => Reflect.getMetadata(metaKey, target);
//# sourceMappingURL=meta.js.map