"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const metaKey = Symbol('stix:swagger:summary');
exports.summary = (summaryText) => {
    return (target, property) => {
        const meta = Reflect.getMetadata(metaKey, target) || {};
        meta[property] = summaryText;
        Reflect.defineMetadata(metaKey, meta, target);
    };
};
exports.getSummary = (target) => Reflect.getMetadata(metaKey, target);
//# sourceMappingURL=summary.js.map