import 'reflect-metadata';
export declare const path: (pathConfig?: Partial<{
    summary: string;
    description: string;
    security: import("../SwaggerConfigTypes").SecurityType;
    responses: import("../SwaggerConfigTypes").ResponseType[];
    parameters: Partial<{
        in: import("openapi3-ts/dist/model/OpenApi").ParameterLocation;
        name: string;
        allowEmptyValue: boolean;
        schema: Partial<{
            type: import("../SwaggerConfigTypes").TypesType;
            enum: string[] | number[];
            format: any;
            nullable: boolean;
            minimum: number;
            properties: {
                [key: string]: {
                    type: import("../SwaggerConfigTypes").TypesType;
                };
            };
            items: {
                type: import("../SwaggerConfigTypes").TypesType;
            };
            maximum: number;
            default: any;
        }>;
        explode: boolean;
        style: import("openapi3-ts/dist/model/OpenApi").ParameterStyle;
        examples: {
            [exampleKey: string]: Partial<{
                summary: string;
                value: any;
            }>;
        };
        required: boolean;
        description: string;
    }>[];
    tags: string[];
    operationId: string;
}>) => (target: Object, property: string) => void;
export declare const pathProp: (key: string) => (value?: string) => (target: Object, property: string) => void;
export declare const setPath: (target: Object, property: string, data: Partial<{
    summary: string;
    description: string;
    security: import("../SwaggerConfigTypes").SecurityType;
    responses: import("../SwaggerConfigTypes").ResponseType[];
    parameters: Partial<{
        in: import("openapi3-ts/dist/model/OpenApi").ParameterLocation;
        name: string;
        allowEmptyValue: boolean;
        schema: Partial<{
            type: import("../SwaggerConfigTypes").TypesType;
            enum: string[] | number[];
            format: any;
            nullable: boolean;
            minimum: number;
            properties: {
                [key: string]: {
                    type: import("../SwaggerConfigTypes").TypesType;
                };
            };
            items: {
                type: import("../SwaggerConfigTypes").TypesType;
            };
            maximum: number;
            default: any;
        }>;
        explode: boolean;
        style: import("openapi3-ts/dist/model/OpenApi").ParameterStyle;
        examples: {
            [exampleKey: string]: Partial<{
                summary: string;
                value: any;
            }>;
        };
        required: boolean;
        description: string;
    }>[];
    tags: string[];
    operationId: string;
}>) => void;
export declare const getPath: (target: Object) => any;
