"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const path_1 = require("./path");
exports.defaultKey = 'stix:swagger:security:default';
exports.security = (key, roles) => {
    const securityKey = (typeof key === 'boolean' ? exports.defaultKey : key);
    return (target, property) => path_1.setPath(target, property, { security: { [securityKey]: roles } });
};
//# sourceMappingURL=security.js.map